/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deployer.api;

/**
 *
 * @author mleduque
 */
public class DeploymentPlanDeploymentException extends Exception {

    /**
     * Magic number for serialization.
     */
    private static final long serialVersionUID = 1111114444L;

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException() {
        super();
    }

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException(final Throwable t) {
        super(t);
    }

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException(final String message) {
        super(message);
    }

    /**
     * {@inheritDoc}
     *
     */
    public DeploymentPlanDeploymentException(final String message, final Throwable t) {
        super(message, t);
    }

}
