/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.bindings;

/**
 * Define some constants to register the schema stream factory objects into the service registry.
 * @author Loris Bouzonnet
 */
public interface SchemaConstants {
    
    /**
     * Property name to set the schema namespace to use.
     */
    String SCHEMA_NAMESPACE_PROPERTY = "schema.namespace";

    /**
     * Schema namespace for the deployment plan.
     */
    String DEPLOYMENT_PLAN_NAMESPACE = "deployment-plan";

}
